All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.serverprop
Class ParameterType

    com.sas.iquery.metadata.serverprop.ParameterType

All Implemented Interfaces:
  NamedObjectInterface

    @SASScope(value="ALL")
    @SubjectToChange
    @ThreadSafe
    public class ParameterType

implements NamedObjectInterface

Models parameter type information and contains constants for the different parameter types for the functions and operators that are recognized by SAS Query Services.

See Also:
  `Parameter`

Field Summary
`static java.util.List<ParameterType>` | `ALL_PARAMETER_TYPES`
`static ParameterType` | `PARM_ANY`
`static ParameterType` | `PARM_ANY_CHAR1_LITERAL`
`static ParameterType` | `PARM_ARRAY`
`static ParameterType` | `PARM_BITSTRING`
`static ParameterType` | `PARM_BOOL_EXPR`
`static ParameterType` | `PARM_CHAR`
`static ParameterType` | `PARM_COUNT`
`static ParameterType` | `PARM_DATE`
`static ParameterType` | `PARM_DELIMITER`
`static ParameterType` | `PARM_DIMENSION`
`static ParameterType` | `PARM_DISTANCE`
`static ParameterType` | `PARM_ENUMERATION`
`static ParameterType` | `PARM_HIERARCHY`
`static ParameterType` | `PARM_INDEX`
`static ParameterType` | `PARM_INTERVAL_DT`
`static ParameterType` | `PARM_INTERVAL_YM`
`static ParameterType` | `PARM_LEVEL`
`static ParameterType` | `PARM_LOGICAL`
`static ParameterType` | `PARM_MEMBER`
`static ParameterType` | `PARM_MEMBER_NAME`
`static ParameterType` | `PARM_NUMERIC`
`static ParameterType` | `PARM_OLAP_NUMERIC_EXPRESSION`
`static ParameterType` | `PARM_OLAP_STRING_EXPRESSION`
`static ParameterType` | `PARM_OLAP_VALUE_EXPRESSION`
`static ParameterType` | `PARM_PATTERN`
`static ParameterType` | `PARM_PERCENTAGE`
`static ParameterType` | `PARM_SET`
`static ParameterType` | `PARM_START`
`static ParameterType` | `PARM_TIME`
`static ParameterType` | `PARM_TIMESTAMP`
`static ParameterType` | `PARM_TUPLE`
`static ParameterType` | `PARM_UDF`
`static ParameterType` | `PARM_UNQUOTED_CHAR`
`static ParameterType` | `PARM_VALUE`
`static ParameterType` | `THEN_BOOL_EXPR`
`static ParameterType` | `THEN_CHAR`
`static ParameterType` | `THEN_DATE`
`static ParameterType` | `THEN_INTERVAL_DT`
`static ParameterType` | `THEN_INTERVAL_YM`
`static ParameterType` | `THEN_NUMERIC`
`static ParameterType` | `THEN_TIME`
`static ParameterType` | `THEN_TIMESTAMP`
`static java.util.List<ParameterType>` | `WHENTHEN_TYPES`

Method Summary
`java.lang.String` | `getDescription()` Returns a description for this object, typically for display purposes.
`java.lang.String` | `getLabel()` Returns a label for this object, typically for display purposes.
`boolean` | `isCompatibleWith(ExpressionInterface expr)`
`int` | `toExpressionType()`

Field Detail

*** This field is subject to change. ***

### PARM_BITSTRING

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_BITSTRING

*** This field is subject to change. ***

### PARM_CHAR

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_CHAR

*** This field is subject to change. ***

### PARM_DATE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_DATE

*** This field is subject to change. ***

### PARM_NUMERIC

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_NUMERIC

*** This field is subject to change. ***

### PARM_TIME

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_TIME

*** This field is subject to change. ***

### PARM_TIMESTAMP

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_TIMESTAMP

*** This field is subject to change. ***

### PARM_INTERVAL_YM

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_INTERVAL_YM

*** This field is subject to change. ***

### PARM_INTERVAL_DT

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_INTERVAL_DT

*** This field is subject to change. ***

### PARM_UNQUOTED_CHAR

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_UNQUOTED_CHAR

*** This field is subject to change. ***

### PARM_ANY

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_ANY

*** This field is subject to change. ***

### PARM_BOOL_EXPR

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_BOOL_EXPR

*** This field is subject to change. ***

### PARM_ANY_CHAR1_LITERAL

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_ANY_CHAR1_LITERAL

*** This field is subject to change. ***

### PARM_ENUMERATION

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_ENUMERATION

*** This field is subject to change. ***

### PARM_SET

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_SET

*** This field is subject to change. ***

### PARM_TUPLE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_TUPLE

*** This field is subject to change. ***

### PARM_MEMBER

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_MEMBER

*** This field is subject to change. ***

### PARM_LEVEL

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_LEVEL

*** This field is subject to change. ***

### PARM_DIMENSION

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_DIMENSION

*** This field is subject to change. ***

### PARM_HIERARCHY

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_HIERARCHY

*** This field is subject to change. ***

### PARM_INDEX

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_INDEX

*** This field is subject to change. ***

### PARM_DISTANCE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_DISTANCE

*** This field is subject to change. ***

### PARM_OLAP_NUMERIC_EXPRESSION

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_OLAP_NUMERIC_EXPRESSION

*** This field is subject to change. ***

### PARM_OLAP_STRING_EXPRESSION

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_OLAP_STRING_EXPRESSION

*** This field is subject to change. ***

### PARM_OLAP_VALUE_EXPRESSION

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_OLAP_VALUE_EXPRESSION

*** This field is subject to change. ***

### PARM_COUNT

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_COUNT

*** This field is subject to change. ***

### PARM_PERCENTAGE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_PERCENTAGE

*** This field is subject to change. ***

### PARM_VALUE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_VALUE

*** This field is subject to change. ***

### PARM_MEMBER_NAME

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_MEMBER_NAME

*** This field is subject to change. ***

### PARM_START

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_START

*** This field is subject to change. ***

### PARM_PATTERN

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_PATTERN

*** This field is subject to change. ***

### PARM_LOGICAL

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_LOGICAL

*** This field is subject to change. ***

### PARM_DELIMITER

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_DELIMITER

*** This field is subject to change. ***

### PARM_ARRAY

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_ARRAY

*** This field is subject to change. ***

### PARM_UDF

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType PARM_UDF

*** This field is subject to change. ***

### THEN_CHAR

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType THEN_CHAR

*** This field is subject to change. ***

### THEN_DATE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType THEN_DATE

*** This field is subject to change. ***

### THEN_NUMERIC

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType THEN_NUMERIC

*** This field is subject to change. ***

### THEN_TIME

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType THEN_TIME

*** This field is subject to change. ***

### THEN_TIMESTAMP

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType THEN_TIMESTAMP

*** This field is subject to change. ***

### THEN_INTERVAL_YM

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType THEN_INTERVAL_YM

*** This field is subject to change. ***

### THEN_INTERVAL_DT

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType THEN_INTERVAL_DT

*** This field is subject to change. ***

### THEN_BOOL_EXPR

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ParameterType THEN_BOOL_EXPR

*** This field is subject to change. ***

### ALL_PARAMETER_TYPES

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.util.List<ParameterType> ALL_PARAMETER_TYPES

*** This field is subject to change. ***

### WHENTHEN_TYPES

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.util.List<ParameterType> WHENTHEN_TYPES

Method Detail

*** This method is subject to change. ***

### getLabel

    @SASScope(value="ALL")
    @SubjectToChange
    public java.lang.String getLabel()

  Description copied from interface: `NamedObjectInterface`
  Returns a label for this object, typically for display purposes.

  Specified by:
    `getLabel` in interface `NamedObjectInterface`
  Returns:
    String a label or null if not set

*** This method is subject to change. ***

### getDescription

    @SASScope(value="ALL")
    @SubjectToChange
    public java.lang.String getDescription()

  Description copied from interface: `NamedObjectInterface`
  Returns a description for this object, typically for display purposes. A description is intended to provide a longer worded phrase than the label itself.

  Specified by:
    `getDescription` in interface `NamedObjectInterface`
  Returns:
    a description or null if not set

*** This method is subject to change. ***

### toExpressionType

    @SASScope(value="ALL")
    @SubjectToChange
    public int toExpressionType()

*** This method is subject to change. ***

### isCompatibleWith

    @SASScope(value="ALL")
    @SubjectToChange
    public boolean isCompatibleWith(ExpressionInterface expr)

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.